<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 防伪标 -->
<style>

</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h2">防伪标</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kindValue" id="kindValue" lay-filter="kindValue" class="select">
                    <option value=""></option>
                    <option value="VOID哑银">VOID哑银</option>
                    <option value="白色VOID不干胶">白色VOID不干胶</option>
                </select>
            </div>
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="防伪标">
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽 </span>
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input"
                       autocomplete="off">
            </div>
            <p>
                数量（个）
            </p>
            <div class="layui-form-item">
                <select name="count" id="selectCount1" class="select">
                    <option value="500">500</option>
                    <option value="1000">1000</option>
                    <option value="2000">2000</option>
                    <option value="3000">3000</option>
                    <option value="5000">5000</option>
                    <option value="10000">10000</option>
                    <option value="20000">20000</option>
                </select>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-input-block">裁切工艺：
                <input type="checkbox" name="craft" lay-filter="switch" value="模切" title="模切" checked>
            </div>
            <div class="layui-input-block">覆膜工艺：
                <input type="checkbox" name="craft" lay-filter="switch" value="亮膜" title="亮膜" checked>
            </div>
            <div class="layui-input-block" id="yinbai">印白工艺：
                <input type="checkbox" name="craft" lay-filter="switch" value="印白墨" title="印白墨">
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});

        function getProductImage(craft) {

            $("#carousel").empty();
            $("#remark").empty();
            let data = {proTypeValue: "防伪标"}
            let remark = "";
            let html = "";
            let kindValue = $("select[name='kindValue'] option:selected").val();
            if (!!kindValue) {
                data.kindValue = kindValue;
            }
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        remark = "";
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                        remark += '<div><span>' + result[0].remark + '<span/></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有说明，就不显示null
                    if (remark.indexOf("null") < 0) {
                        $("#remark").append(remark);
                    }
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on("select(kindValue)", (data) => {
            $("#yinbai").hide();
            $("#yinbai").find("input").prop("disabled", true)
            if (data.value == "VOID哑银") {
                $("#yinbai").show();
                $("#yinbai input").prop("disabled", false)
            }
            getProductImage();
            form.render();
        })
        form.on("checkbox(switch)", (data) => {
            let arr = []
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is("disabled")) {
                    arr.push($(this).val())
                }
            })

            getProductImage(data.elem.checked ? data.value : '');
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {

            let size = $("#size").val();
            let count = $("#count").val();

            if (!size) {
                layer.msg('请输入尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }

            if (size.split("*")[0] < 0.6 || size.split("*")[1] < 0.6) {
                layer.msg('防伪标最小尺寸0.6*0.6cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] > 42 || size.split("*")[1] > 28.5) && (size.split("*")[0] > 28.5 || size.split("*")[1] > 42)) {
                layer.msg('防伪标最大尺寸42*28.5cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    let arr = [];
                    let data = result.data.proList;
                    let kind = $("select[name='kindValue'] option:selected").val();
                    let number = $("#number").val();
                    $("input[name='craft']:checked").each(function () {
                        if (!$(this).prop("disabled")) {
                            arr.push($(this).val())
                        }
                    })

                    let span_result = '防伪标' + kind + ' - ' + size + ' 厘米 -(同款内容)\n' + "工艺 :" + arr.join(",") + "\n";

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    getRemark($("#proTypeValue").val(), size, count, kind, number, arr, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });

</script>
</html>